Batch Endpoints
GET /batch/list Expand...
Retreive a list of your batches
Returns
{
"batches": [
{
"id": "string",
"name": "string",
"urlsValid": "number",
"urlsInvalid": "number",
"urlsComplete": "number",
"start": "string|null",
"finish": "string|null"
}
]
}POST /batch/new Expand...
Create a new batch
Body Parameters
name string required
The name of your new batch
urls string
A list of URLs. Each URL should be followed by a newline character
For Example:
example.com wikipedia.org google.com
Returns
{
"batch": {
"id": "string",
"name": "string",
"urlsValid": "number",
"urlsInvalid": "number",
"urlsComplete": "number",
"start": "string|null",
"finish": "string|null"
}
}GET /batch/:id/status Expand...
Get the status of your batch
Path Parameters
:id required
The id of the batch
Returns
{
"batch": {
"id": "string",
"name": "string",
"urlsValid": "number",
"urlsInvalid": "number",
"urlsComplete": "number",
"start": "string|null",
"finish": "string|null"
}
}POST /batch/:id/add-urls Expand...
Add URLs to a batch detection
Note
- Your account will be debited for each URL uploaded
- If the number of URLs exceeds the credits in your account, we will add as many URLs as we can
Path Parameters
:id required
The id of the batch
Body Parameters
urls string required
A list of URLs. Each URL should be followed by a newline character
For Example:
example.com wikipedia.org google.com
Returns
{
"counts": {
"validUrls": "number",
"invalidUrls": "number"
},
"batch": {
"id": "string",
"name": "string",
"urlsValid": "number",
"urlsInvalid": "number",
"urlsComplete": "number",
"start": "string|null",
"finish": "string|null"
}
}POST /batch/:id/remove-urls Expand...
Remove URLs from a batch
Note
- Only URLs that have not been crawled yet will be removed
- Your account will be credited for each URL that is removed
Path Parameters
:id required
The id of the batch
Body Parameters
urls string required
A list of URLs. Each URL should be followed by a newline character
For Example:
example.com wikipedia.org google.com
Returns
{
"counts": {
"validUrls": "number",
"invalidUrls": "number"
},
"batch": {
"id": "string",
"name": "string",
"urlsValid": "number",
"urlsInvalid": "number",
"urlsComplete": "number",
"start": "string|null",
"finish": "string|null"
}
}POST /batch/:id/start Expand...
Restart detections for the batch
Note
- By default, batches are created in a started state
Path Parameters
:id required
The id of the batch
Returns
{
"batch": {
"id": "string",
"name": "string",
"urlsValid": "number",
"urlsInvalid": "number",
"urlsComplete": "number",
"start": "string|null",
"finish": "string|null"
}
}POST /batch/:id/pause Expand...
Pause detections for the batch
Note
- Some URLs from your batch may continue to be detected if they are already in the process queue
Path Parameters
:id required
The id of the batch
Returns
{
"batch": {
"id": "string",
"name": "string",
"urlsValid": "number",
"urlsInvalid": "number",
"urlsComplete": "number",
"start": "string|null",
"finish": "string|null"
}
}GET /batch/:id/download/:format Expand...
Get the status of your batch
Path Parameters
:id required
The id of the batch
:format required
The format you want your downloaded data in
Possible values: csv, json, ndjson, parquet